## wcd 5.1.2

=== Makefile ===
#
#	Copyright (C) 2009 Erwin Waterlander
#	Copyright (C) 2009 Jari Aalto
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License as
#	published by the Free Software Foundation; either version 2 of the
#	License, or (at your option) any later version
#
#	This program is distributed in the hope that it will be useful, but
#	WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#	General Public License for more details.
#
#	Visit <http://www.gnu.org/copyleft/gpl.html>


# This makefile is intended only for Unix/Linux.
# See also documentation in directory `doc'.

ifneq (,)
This makefile requires GNU Make.
endif

OBJDIR	= src

all:
	$(MAKE) -C $(OBJDIR) CC="$(CC)"

clean:
	$(MAKE) -C $(OBJDIR) clean

distclean:
	$(MAKE) -C $(OBJDIR) distclean

maintainer-clean:
	$(MAKE) -C $(OBJDIR) maintainer-clean

realclean: maintainer-clean

install:
	$(MAKE) -C $(OBJDIR) install CC="$(CC)"

uninstall:
	$(MAKE) -C $(OBJDIR) uninstall

.PHONY: clean distclean realclean install

# End of file

=== dos32/Makefile ===
include ../src/version.mk

PREFIX = c:/djgpp
prefix = $(PREFIX)
MKDIR  = mkdir

CFLAGS = -O3 -Wall
CURSES = pdcurses
ENABLE_NLS =

ifdef CONIO
CURSES=
DEFS   += -DWCD_USECONIO
endif

ifdef CURSES
LIB_CURSES = -l${CURSES}
DEFS   = -DWCD_USECURSES
endif

PROGRAM = wcd.exe
VERSIONSUFFIX = -dos32
ZIPFILE = wcd${VERSION_SHORT}pm.zip
ZIPOBJ_EXTRA = bin/cwsdpmi.exe
docsubdir = wcd-${VERSION_SHORT}

ifdef ENABLE_NLS
LDFLAGS_EXTRA = -lintl -liconv
EXTRA_OBJ=langinfo.o
ZIPFILE = wcd${VERSION_SHORT}pm-nls.zip
endif

all :
	${MAKE} -C ../src all PROGRAM=${PROGRAM} CFLAGS="${CFLAGS}" CURSES=${CURSES} LIB_CURSES=${LIB_CURSES} DEFS="${DEFS}" LDFLAGS_EXTRA="${LDFLAGS_EXTRA}" prefix=${prefix} EXTRA_OBJ="${EXTRA_OBJ}" ENABLE_NLS=${ENABLE_NLS} docsubdir=$(docsubdir)

install :
	${MAKE} -C ../src install PROGRAM=${PROGRAM} CFLAGS="${CFLAGS}" CURSES=${CURSES} LIB_CURSES=${LIB_CURSES} DEFS="${DEFS}" LDFLAGS_EXTRA="${LDFLAGS_EXTRA}" prefix=${prefix} MKDIR=${MKDIR} EXTRA_OBJ="${EXTRA_OBJ}" INSTALL_OBJS_DOC_INSTALL="../doc/DOS.txt ../doc/INSTALL.txt" ENABLE_NLS=${ENABLE_NLS} docsubdir=$(docsubdir)

uninstall :
	${MAKE} -C ../src uninstall PROGRAM=${PROGRAM} prefix=${prefix} ENABLE_NLS=${ENABLE_NLS} docsubdir=$(docsubdir)


dist :
	${MAKE} -C ../src dist-zip ZIPOBJ_EXTRA="${ZIPOBJ_EXTRA}" PROGRAM=${PROGRAM} prefix=${prefix} ZIPFILE=${ZIPFILE} ENABLE_NLS=${ENABLE_NLS} docsubdir=$(docsubdir)

strip:
	${MAKE} -C ../src strip PROGRAM=${PROGRAM}

clean :
	${MAKE} -C ../src clean

=== dos32bsh/Makefile ===
include ../src/version.mk

PREFIX = c:/djgpp
prefix = $(PREFIX)
MKDIR  = mkdir

CFLAGS = -O3 -Wall
CURSES = pdcurses
ENABLE_NLS =
DEFS   = -DWCD_DOSBASH

ifdef CONIO
CURSES=
DEFS   += -DWCD_USECONIO
endif

ifdef CURSES
LIB_CURSES = -l${CURSES}
DEFS   += -DWCD_USECURSES
endif

PROGRAM = wcdbash.exe
VERSIONSUFFIX = -dos32bsh
ZIPFILE = wcd${VERSION_SHORT}bh.zip
docsubdir = wcd-${VERSION_SHORT}

ifdef ENABLE_NLS
LDFLAGS_EXTRA = -lintl -liconv
EXTRA_OBJ=langinfo.o
ZIPFILE = wcd${VERSION_SHORT}bh-nls.zip
endif

all :
	${MAKE} -C ../src all PROGRAM=${PROGRAM} CFLAGS="${CFLAGS}" CURSES=${CURSES} LIB_CURSES=${LIB_CURSES} DEFS="${DEFS}" LDFLAGS_EXTRA="${LDFLAGS_EXTRA}" prefix=${prefix} EXTRA_OBJ="${EXTRA_OBJ}" ENABLE_NLS=${ENABLE_NLS} docsubdir=$(docsubdir)

install :
	${MAKE} -C ../src install PROGRAM=${PROGRAM} CFLAGS="${CFLAGS}" CURSES=${CURSES} LIB_CURSES=${LIB_CURSES} DEFS="${DEFS}" LDFLAGS_EXTRA="${LDFLAGS_EXTRA}" prefix=${prefix} MKDIR=${MKDIR} EXTRA_OBJ="${EXTRA_OBJ}" INSTALL_OBJS_DOC_INSTALL="../doc/DOS.txt ../doc/INSTALL.txt" ENABLE_NLS=${ENABLE_NLS} docsubdir=$(docsubdir)

uninstall :
	${MAKE} -C ../src uninstall PROGRAM=${PROGRAM} prefix=${prefix} ENABLE_NLS=${ENABLE_NLS} docsubdir=$(docsubdir)


dist :
	${MAKE} -C ../src dist-zip ZIPOBJ_EXTRA="${ZIPOBJ_EXTRA}" PROGRAM=${PROGRAM} prefix=${prefix} ZIPFILE=${ZIPFILE} ENABLE_NLS=${ENABLE_NLS} docsubdir=$(docsubdir)

strip:
	${MAKE} -C ../src strip PROGRAM=${PROGRAM}

clean :
	${MAKE} -C ../src clean

=== src/Makefile ===
#
#   Copyright information
#
#	Copyright (C) 2009-2010 Erwin Waterlander
#	Copyright (C) 2009 Jari Aalto
#
#   License
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License as
#	published by the Free Software Foundation; either version 2 of the
#	License, or (at your option) any later version
#
#	This program is distributed in the hope that it will be useful, but
#	WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#	General Public License for more details at
#	Visit <http://www.gnu.org/copyleft/gpl.html>.
#
#   Description
#
#	This is a GNU Makefile that uses GNU compilers, linkers and cpp. The
#	platform specific issues are determined by the various OS teets that
#	rely on the uname(1) command and directory locations.
#
#   Developer notes
#
#	The documentation default is set for DOS and Unix.
#
#       In order to generate documentation for Unix only, use:
#
#	    make CPP_FLAGS_POD="-Dunix" man
#
#       In order to generate documentation for DOS/Windows only, use:
#
#	    make CPP_FLAGS_POD="-Ddos" man
#
#       In order to clean generated POD file:
#
#           make maintainer-clean


ifneq (,)
This makefile requires GNU Make.
endif

include version.mk

CC		= gcc
STATIC		=

ENABLE_NLS = 1

PACKAGE		= wcd
EXT		= .exe
PROGRAM         = $(PACKAGE)$(EXT)
BIN		= $(PROGRAM)

PREFIX		= /usr/local
prefix		= $(PREFIX)
exec_prefix	= $(prefix)
bindir		= $(exec_prefix)/bin
datarootdir	= $(prefix)/share
datadir		= $(datarootdir)

docsubdir	= $(PACKAGE)-$(VERSION)
docdir		= $(datarootdir)/doc/$(docsubdir)
localedir	= $(datarootdir)/locale

# 1 = regular, 5 = conf, 6 = games, 8 = daemons
mandir		= $(datarootdir)/man
man1dir		= $(mandir)/man1


# On some systems (e.g. FreeBSD 4.10) GNU install is installed as `ginstall'.
INSTALL		= install
# On some systems (e.g. GNU Win32) GNU mkdir is installed as `gmkdir'.
MKDIR           = mkdir

INSTALL_BIN	= $(INSTALL) -m 755
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_SUID	= $(INSTALL) -m 4755

INSTALL_OBJS_BIN   = $(BIN)
INSTALL_OBJS_MAN1  = man/man1/wcd.1

INSTALL_OBJS_DOC_INSTALL = \
  ../doc/INSTALL.txt \
  ../doc/UNIX.txt \
  ../doc/RPM.txt \
  ../doc/translat.txt

INSTALL_OBJS_DOC_COPYING = \
  ../doc/copying.txt

# Documents for end users, not for developers:
INSTALL_OBJS_DOC   = \
  ../doc/faq.txt \
  ../doc/$(PACKAGE).txt \
  ../doc/$(PACKAGE).ps \
  ../doc/$(PACKAGE).pdf \
  ../doc/$(PACKAGE).htm \
  ../doc/whatsnew.txt \
  ../doc/README.txt \
  ../doc/problems.txt \
  ../doc/todo.txt \
  $(INSTALL_OBJS_DOC_INSTALL) \
  $(INSTALL_OBJS_DOC_COPYING)

ifdef ENABLE_NLS
POT		= po/$(PACKAGE).pot
POFILES		= $(wildcard po/*.po)
MOFILES		= $(patsubst %.po,%.mo,$(POFILES))
endif
DOCFILES	= ../doc/$(PACKAGE).txt ../doc/$(PACKAGE).ps ../doc/$(PACKAGE).pdf ../doc/$(PACKAGE).htm

CPP		= cpp
CPP_FLAGS_POD	= ALL

VERSIONSUFFIX	= -bin

ifdef UCS
ZIPFILE = $(PACKAGE)-$(VERSION)$(VERSIONSUFFIX)-ucs.zip
TGZFILE = $(PACKAGE)-$(VERSION)$(VERSIONSUFFIX)-ucs.tar.gz
else
ZIPFILE = $(PACKAGE)-$(VERSION)$(VERSIONSUFFIX).zip
TGZFILE = $(PACKAGE)-$(VERSION)$(VERSIONSUFFIX).tar.gz
endif

ZIPOBJ		= bin/$(BIN) \
		  share/man/man1/$(PACKAGE).1 \
		  share/doc/$(docsubdir) \
		  $(ZIPOBJ_EXTRA)

INSTALL_TARGETS = install-bin install-man install-doc

ifdef ENABLE_NLS
	INSTALL_TARGETS += install-mo
	ZIPOBJ += share/locale/*/LC_MESSAGES/$(PACKAGE).mo
endif

# .......................................................... unicode ...

ifdef WCD_UTF8
	# WCD_UTF8 was used in older versions.
	UCS=1
endif

ifdef UCS
	CFLAGS_UCS = -std=gnu99
	WDEFS	   = -DWCD_UNICODE
endif

ifdef ENABLE_NLS
	NLSDEFS    = -DENABLE_NLS -DLOCALEDIR=\"$(localedir)\" -DPACKAGE=\"$(PACKAGE)\"
endif

# ........................................................... curses ...

# possible values: ncurses, curses, pdcurses or <empty>
CURSES = ncurses

ifdef UCS
	CURSES  = ncursesw
endif

ifneq (,$(CURSES))
	DEFS_CURSES = -DWCD_USECURSES
	LIB_CURSES  = -l$(CURSES)
endif

ifeq ($(CURSES),ncurses)
ifneq ($(wildcard /usr/include/ncurses/curses.h),)
	INCFLAGS = -I/usr/include/ncurses
endif
endif

ifeq ($(CURSES),ncursesw)
	EXTRA_DEFS = -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED

	# Pick right include:
	# libncurses5-dev: /usr/include/curses.h
	# libncursesw5-dev: /usr/include/ncursesw/curses.h

ifneq ($(wildcard /usr/include/ncursesw/curses.h),)
	INCFLAGS = -I/usr/include/ncursesw
endif
endif

ifeq ($(CURSES),pdcurses)
	DEFS_CURSES = -DWCD_USECURSES
	EXTRA_DEFS  = -fomit-frame-pointer -DXCURSES
	LIB_CURSES  = -lXCurses -L/usr/X11R6/lib -lXaw -lXmu -lXt -lX11 -lSM -lICE -lXext
endif

# Local installation prefix of ncurses.
#LOCAL_NCURSES	= $(HOME)
#
#ifneq (, $(wildcard $(LOCAL_NCURSES)/include/ncurses.h))
#	NCFLAG = -I$(LOCAL_NCURSES)/include
#	NLFLAG = -L$(LOCAL_NCURSES)/lib
#endif

# ......................................................... OS flags ...

OS =

ifndef OS
ifneq (, $(wildcard /boot/vmlinuz*))
	OS = linux
endif
endif

ifndef OS
ifneq (, $(wildcard /cygdrive))
	OS = cygwin
endif
endif

ifeq (cygwin,$(OS))
	LDFLAGS_EXTRA = -lintl -liconv -lmpr -Wl,--enable-auto-import
endif


ifndef OS
ifeq (FreeBSD, $(shell uname -s))
	OS = freebsd
endif
endif

ifeq (freebsd,$(OS))
	# Running under FreeBSD
	CFLAGS_OS     = -I/usr/local/include
	LDFLAGS_EXTRA = -lintl -L/usr/local/lib
endif

ifeq (Darwin, $(shell uname -s))
	OS = Darwin
ifdef ENABLE_NLS
	CFLAGS_OS     = -I/usr/local/include
	LDFLAGS_EXTRA = -lintl -L/usr/local/lib
endif
endif

ifndef OS
ifneq (, $(wildcard /opt/csw))
	OS = sun
endif
endif

ifeq (sun,$(OS))
	# Running under SunOS/Solaris
	LDFLAGS_EXTRA = -lintl
endif

ifndef OS
ifeq (HP-UX, $(shell uname -s))
	OS = hpux
endif
endif

ifeq (hpux,$(OS))
	# Running under HP-UX
	EXTRA_DEFS += -Dhpux -D_HPUX_SOURCE -D_XOPEN_SOURCE_EXTENDED

	# These flags were for native HP compiler
	# CFLAGS_OS = -O -Aa
endif

ifndef OS
	OS = unknown
endif

# ............................................................ flags ...

# Statically linking of a specific library can be done by linking
# to a lib*.a library file instead a lib*.s* library file.
# To link ncurses statically (if your system links by default
# dynamically) comment the LDFLAGS line and add the 'libncurses.a' file
# (often found as /usr/lib/libncurses.a) to the OBJS1 list.

CFLAGS	= -O2 -Wall

EXTRA_CFLAGS	= -Ic3po \
		  $(CFLAGS_OS) \
		  $(CFLAGS_UCS) \
		  $(WDEFS) \
		  $(NLSDEFS) \
		  $(NCFLAG) \
		  $(INCFLAGS)

ifdef STATIC
	EXTRA_CFLAGS += -static
endif

LDFLAGS		= $(LIB_CURSES) \
	          $(LDFLAGS_EXTRA) \
		  $(NLFLAG)

DEFS		= -DUNIX $(DEFS_CURSES) $(EXTRA_DEFS)

# .......................................................... targets ...

OBJS1 = \
	wcd.o \
	match.o \
	stack.o \
	nameset.o \
	intset.o \
	Error.o \
	Text.o \
	WcdStack.o \
	dirnode.o \
	display.o \
	dosdir.o \
	wfixpath.o \
	wcddir.o \
	$(EXTRA_OBJ)

ifneq (,$(CURSES))
OBJS1 += colors.o \
	graphics.o
endif

all: $(BIN) $(DOCFILES) $(MOFILES)

status:
	@echo "-- $(PACKAGE) Makefile settings begin --"
	@echo "OS            = $(OS)"
	@echo "prefix        = $(prefix)"
	@echo "EXT           = $(EXT)"
	@echo "CPP_FLAGS_POD = $(CPP_FLAGS_POD)"
	@echo "STATIC        = $(STATIC)"
	@echo "UCS           = $(UCS)"
	@echo "ENABLE_NLS    = $(ENABLE_NLS)"
	@echo "CURSES        = $(CURSES)"
	@echo "DEFS          = $(DEFS)"
	@echo "DEFS_CURSES   = $(DEFS_CURSES)"
	@echo "EXTRA_DEFS    = $(EXTRA_DEFS)"
	@echo "LDFLAGS_EXTRA = $(LDFLAGS_EXTRA)"
	@echo "CFLAGS        = $(CFLAGS)"
	@echo "CFLAGS_OS     = $(CFLAGS_OS)"
	@echo "EXTRA_CFLAGS  = $(EXTRA_CFLAGS)"
	@echo "-- $(PACKAGE) Makefile settings end --"

$(BIN): $(OBJS1)
	$(MAKE) status
	$(CC) $(OBJS1) $(LDFLAGS) -o $@

%.o: %.c
	$(CC) $(CFLAGS) $(EXTRA_CFLAGS) $(DEFS) -c $< -o $@

%.o: c3po/%.c
	$(CC) $(CFLAGS) $(EXTRA_CFLAGS) $(DEFS) -c $< -o $@

%.pdf: %.ps
	ps2pdf $< $@

%.po : $(POT)
	msgmerge -U $@ $(POT) --backup=numbered

%.mo : %.po
	msgfmt -c $< -o $@

$(POT) : wcd.c wcddir.c stack.c display.c graphics.c wfixpath.c c3po/Error.c
	xgettext -C --keyword=_ $+ -o $(POT)

man/man1/wcd1.pod : man/man1/wcd1pod.in
ifeq ($(CPP_FLAGS_POD),ALL)
	sed 	-e '/#ifdef/d' \
		-e '/#endif/d' \
		-e '/#define/d' \
		-e '/^\/\*/d' \
		-e '/^\*\//d' \
		-e 's/WILDSTAR()/*/g' \
		$< > $@
else
	$(CPP) -traditional-cpp -P -fno-show-column $(CPP_FLAGS_POD) $< > $@
endif

man/man1/wcd.1 : man/man1/wcd1.pod
	$(MAKE) -C man/man1

../doc/$(PACKAGE).txt : man/man1/wcd1.pod
	LC_CTYPE=C pod2text $< > $@

../doc/$(PACKAGE).ps : man/man1/wcd.1
	groff -man $< -T ps > $@

../doc/$(PACKAGE).htm : man/man1/wcd1.pod
	pod2html --title="$(PACKAGE) $(VERSION) - Wherever Change Directory" $< > $@


pod: man/man1/wcd1.pod

man: man/man1/wcd.1

html: ../doc/$(PACKAGE).htm

txt: ../doc/$(PACKAGE).txt

ps: ../doc/$(PACKAGE).ps

pdf: ../doc/$(PACKAGE).pdf

mofiles: $(MOFILES)

docfiles: $(DOCFILES)

tags: $(POT)

merge: $(POFILES)

dist-zip:
	rm -f $(prefix)/$(ZIPFILE)
	cd $(prefix) ; zip -r $(ZIPFILE) $(ZIPOBJ)
	mv -f $(prefix)/$(ZIPFILE) ../..

dist-tgz:
	cd $(prefix) ; tar cvzf $(TGZFILE) $(ZIPOBJ)
	mv -f $(prefix)/$(TGZFILE) ../..

dist: dist-tgz


strip:
	@echo "-- target: strip"
	strip $(BIN)

clean:
	@echo "-- target: clean"
	-rm -f \
		$(BIN) \
		*.o \
		*/*.o \
		../*/*.bck \
		../*/*.bak \
		../*/*[#~] \
		*.\#* \
		*/*.bak \
		*/*.bck \
		*/*~ \
		*/*/*.bak \
		*/*/*~ \
		*.stackdump

distclean: clean

maintainer-clean: distclean
	@echo "-- target: maintainer-clean:"
	rm -f \
	  man/man1/wcd1.pod \
	  po/*.mo \
	  man/man1/wcd.1 \
	  $(DOCFILES) \
	  $(MOFILES)

# 'maintainer-clean' was 'realclean' in old GNU standards.
realclean: maintainer-clean


# Old versions of install(1) don't support option -D. Use
# mkdir instead. Was seen on HP-UX 11 and DOS DJGPP.

install-mo: $(MOFILES)
	@echo "-- target: install-mo"
	$(foreach mofile, $(MOFILES), $(MKDIR) -p -m 755 $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES ;)
	$(foreach mofile, $(MOFILES), $(INSTALL) -m 644 $(mofile) $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(PACKAGE).mo ;)

install-doc: $(DOCFILES)
	@echo "-- target: install-doc"
	$(MKDIR) -p -m 755 $(DESTDIR)$(docdir)
	$(INSTALL_DATA) $(INSTALL_OBJS_DOC) $(DESTDIR)$(docdir)

install-man: $(INSTALL_OBJS_MAN1)
	@echo "-- target: install-man"
	$(MKDIR) -p -m 755 $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) $(INSTALL_OBJS_MAN1) $(DESTDIR)$(man1dir)

install-bin: $(BIN)
	@echo "-- target: install-bin"
	$(MKDIR) -p -m 755 $(DESTDIR)$(bindir)
	$(INSTALL_BIN) $(INSTALL_OBJS_BIN) $(DESTDIR)$(bindir)

install: $(INSTALL_TARGETS)

uninstall:
	@echo "-- target: uninstall"
	-rm -f $(DESTDIR)$(bindir)/$(BIN)
ifdef ENABLE_NLS
	$(foreach mofile, $(MOFILES), rm -f $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(PACKAGE).mo ;)
endif
	-rm -f $(DESTDIR)$(mandir)/man1/$(PACKAGE).1
	-rm -rf $(DESTDIR)$(docdir)

.PHONY: status uninstall install install-doc dist dist-zip dist-tgz
.PHONY: man pod ps txt html pdf

# End of file

=== win32psh/Makefile ===

PREFIX = c:/usr/local
prefix = $(PREFIX)
exec_prefix = $(prefix)
MKDIR  = mkdir
LDFLAGS_EXTRA = -lkernel32 -luser32 -lmpr

CFLAGS = -O3 -Wall
CURSES = pdcurses
ENABLE_NLS = 1
DEFS   = -DMSDOS -DWCD_WINPWRSH

ifdef CURSES
LIB_CURSES = -l${CURSES}
DEFS   += -DWCD_USECURSES -DPDC_STATIC_BUILD
endif

ifdef ENABLE_NLS
LDFLAGS_EXTRA += -lintl -liconv
EXTRA_OBJ += langinfo.o
endif

ifdef WCD_UTF8
# WCD_UTF8 was used in older versions.
UCS=1
endif

ifdef UCS
ifdef CURSES
DEFS   += -DPDC_WIDE
endif
EXTRA_OBJ += wcwidth.o
endif

bindir    = ${exec_prefix}/bin
PROGRAM = wcdwin32psh.exe
VERSIONSUFFIX = -win32psh
ZIPOBJ_EXTRA =
# Using GnuWin32 gettext,iconv
#ZIPOBJ_EXTRA += bin/libintl3.dll bin/libiconv2.dll
# Using MinGW gettext,iconv
ZIPOBJ_EXTRA += bin/libintl-8.dll bin/libiconv-2.dll

all :
	${MAKE} -C ../src all PROGRAM=${PROGRAM} CFLAGS="${CFLAGS}" CURSES=${CURSES} LIB_CURSES=${LIB_CURSES} DEFS="${DEFS}" LDFLAGS_EXTRA="${LDFLAGS_EXTRA}" prefix=${prefix} EXTRA_OBJ="${EXTRA_OBJ}" ENABLE_NLS=${ENABLE_NLS}

install :
	${MAKE} -C ../src install PROGRAM=${PROGRAM} CFLAGS="${CFLAGS}" CURSES=${CURSES} LIB_CURSES=${LIB_CURSES} DEFS="${DEFS}" LDFLAGS_EXTRA="${LDFLAGS_EXTRA}" prefix=${prefix} MKDIR=${MKDIR} EXTRA_OBJ="${EXTRA_OBJ}" INSTALL_OBJS_DOC_INSTALL="../doc/DOS.txt ../doc/INSTALL.txt" ENABLE_NLS=${ENABLE_NLS}

uninstall :
	${MAKE} -C ../src uninstall PROGRAM=${PROGRAM} prefix=${prefix} ENABLE_NLS=${ENABLE_NLS}


dist :
	${MAKE} -C ../src dist-zip ZIPOBJ_EXTRA="${ZIPOBJ_EXTRA}" PROGRAM=${PROGRAM} prefix=${prefix} VERSIONSUFFIX=${VERSIONSUFFIX} ENABLE_NLS=${ENABLE_NLS}

strip:
	${MAKE} -C ../src strip PROGRAM=${PROGRAM}

clean :
	${MAKE} -C ../src clean

=== win32zsh/Makefile ===

PREFIX = c:/usr/local
prefix = $(PREFIX)
exec_prefix = $(prefix)
MKDIR  = mkdir
LDFLAGS_EXTRA = -lkernel32 -luser32 -lmpr

CFLAGS = -O3 -Wall
CURSES = pdcurses
ENABLE_NLS = 1
DEFS   = -DMSDOS -DWCD_WINZSH

ifdef CURSES
LIB_CURSES = -l${CURSES}
DEFS   += -DWCD_USECURSES -DPDC_STATIC_BUILD
endif

ifdef ENABLE_NLS
LDFLAGS_EXTRA += -lintl -liconv
EXTRA_OBJ += langinfo.o
endif

ifdef WCD_UTF8
# WCD_UTF8 was used in older versions.
UCS=1
endif

ifdef UCS
ifdef CURSES
DEFS   += -DPDC_WIDE
endif
EXTRA_OBJ += wcwidth.o
endif

bindir    = ${exec_prefix}/bin
PROGRAM = wcdwin32zsh.exe
VERSIONSUFFIX = -win32zsh
ZIPOBJ_EXTRA =
# Using GnuWin32 gettext,iconv
#ZIPOBJ_EXTRA += bin/libintl3.dll bin/libiconv2.dll
# Using MinGW gettext,iconv
ZIPOBJ_EXTRA += bin/libintl-8.dll bin/libiconv-2.dll

all :
	${MAKE} -C ../src all PROGRAM=${PROGRAM} CFLAGS="${CFLAGS}" CURSES=${CURSES} LIB_CURSES=${LIB_CURSES} DEFS="${DEFS}" LDFLAGS_EXTRA="${LDFLAGS_EXTRA}" prefix=${prefix} EXTRA_OBJ="${EXTRA_OBJ}" ENABLE_NLS=${ENABLE_NLS}

install :
	${MAKE} -C ../src install PROGRAM=${PROGRAM} CFLAGS="${CFLAGS}" CURSES=${CURSES} LIB_CURSES=${LIB_CURSES} DEFS="${DEFS}" LDFLAGS_EXTRA="${LDFLAGS_EXTRA}" prefix=${prefix} MKDIR=${MKDIR} EXTRA_OBJ="${EXTRA_OBJ}" INSTALL_OBJS_DOC_INSTALL="../doc/DOS.txt ../doc/INSTALL.txt" ENABLE_NLS=${ENABLE_NLS}

uninstall :
	${MAKE} -C ../src uninstall PROGRAM=${PROGRAM} prefix=${prefix} ENABLE_NLS=${ENABLE_NLS}


dist :
	${MAKE} -C ../src dist-zip ZIPOBJ_EXTRA="${ZIPOBJ_EXTRA}" PROGRAM=${PROGRAM} prefix=${prefix} VERSIONSUFFIX=${VERSIONSUFFIX} ENABLE_NLS=${ENABLE_NLS}

strip:
	${MAKE} -C ../src strip PROGRAM=${PROGRAM}

clean :
	${MAKE} -C ../src clean

=== win32/lcc/Makefile ===
# Wedit Makefile for project wcd
CC_HOME=c:\lcc
SRCDIR=..\..\src
CFLAGS=-I$(CC_HOME)\include -I"$(SRCDIR)" -I"$(SRCDIR)\c3po" -DMSDOS  -g2
CC=$(CC_HOME)\bin\lcc.exe
LINKER=$(CC_HOME)\bin\lcclnk.exe
OBJS=\
	wfixpath.obj \
	wcd.obj \
	stack.obj \
	match.obj \
	colors.obj \
	graphics.obj \
	dosdir.obj \
	display.obj \
	wcdstack.obj \
	text.obj \
	nameset.obj \
	intset.obj \
	error.obj \
	dirnode.obj \
	wcddir.obj

LIBS=mpr.lib

wcdwin32.exe:	$(OBJS) Makefile
	$(LINKER) -s -subsystem console -o wcdwin32.exe $(OBJS) $(LIBS)

# Build WFIXPATH.C
WFIXPATH_C=\
	$(SRCDIR)\tailor.h\

wfixpath.obj: $(WFIXPATH_C) $(SRCDIR)\wfixpath.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\wfixpath.c

# Build WCDDIR.C
WCDDIR_C=\
	$(SRCDIR)\wcddir.h\

wcddir.obj: $(WCDDIR_C) $(SRCDIR)\wcddir.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\wcddir.c

# Build WCD.C
WCD_C=\
	$(SRCDIR)\dosdir.h\
	$(SRCDIR)\wcddir.h\
	$(SRCDIR)\tailor.h\
	$(SRCDIR)\match.h\
	$(SRCDIR)\tailor.h\
	$(SRCDIR)\c3po\std_macr.h\
	$(SRCDIR)\c3po\structur.h\
	$(SRCDIR)\c3po\Error.h\
	$(SRCDIR)\c3po\Text.h\
	$(SRCDIR)\c3po\nameset.h\
	$(SRCDIR)\c3po\WcdStack.h\
	$(SRCDIR)\c3po\dirnode.h\
	$(SRCDIR)\wcd.h\
	$(SRCDIR)\tailor.h\
	$(SRCDIR)\stack.h\
	$(SRCDIR)\display.h\
	$(SRCDIR)\wfixpath.h\
	$(SRCDIR)\colors.h\
	$(SRCDIR)\graphics.h\

wcd.obj: $(WCD_C) $(SRCDIR)\wcd.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\wcd.c

# Build STACK.C
STACK_C=\
	$(SRCDIR)\c3po\std_macr.h\
	$(SRCDIR)\c3po\structur.h\
	$(SRCDIR)\c3po\nameset.h\
	$(SRCDIR)\display.h\
	$(SRCDIR)\dosdir.h\
	$(SRCDIR)\tailor.h\
	$(SRCDIR)\c3po\WcdStack.h\
	$(SRCDIR)\c3po\Text.h\
	$(SRCDIR)\wcd.h\
	$(SRCDIR)\tailor.h\
	$(SRCDIR)\stack.h\

stack.obj: $(STACK_C) $(SRCDIR)\stack.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\stack.c

# Build MATCH.C
MATCH_C=\
	$(SRCDIR)\match.h\
	$(SRCDIR)\tailor.h\

match.obj: $(MATCH_C) $(SRCDIR)\match.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\match.c

# Build COLORS.C
COLORS_C=\
	$(SRCDIR)\colors.h\

colors.obj: $(COLORS_C) $(SRCDIR)\colors.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\colors.c

# Build GRAPHICS.C
GRAPHICS_C=\
	$(SRCDIR)\c3po\std_macr.h\
	$(SRCDIR)\c3po\structur.h\
	$(SRCDIR)\c3po\nameset.h\
	$(SRCDIR)\c3po\Text.h\
	$(SRCDIR)\c3po\Error.h\
	$(SRCDIR)\c3po\dirnode.h\
	$(SRCDIR)\wcd.h\
	$(SRCDIR)\tailor.h\
	$(SRCDIR)\dosdir.h\
	$(SRCDIR)\tailor.h\
	$(SRCDIR)\display.h\
	$(SRCDIR)\wfixpath.h\
	$(SRCDIR)\match.h\
	$(SRCDIR)\tailor.h\

graphics.obj: $(GRAPHICS_C) $(SRCDIR)\graphics.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\graphics.c

# Build DOSDIR.C
DOSDIR_C=\
	$(SRCDIR)\dosdir.h\
	$(SRCDIR)\tailor.h\
	$(SRCDIR)\match.h\
	$(SRCDIR)\tailor.h\

dosdir.obj: $(DOSDIR_C) $(SRCDIR)\dosdir.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\dosdir.c

# Build DISPLAY.C
DISPLAY_C=\
	$(SRCDIR)\c3po\std_macr.h\
	$(SRCDIR)\c3po\structur.h\
	$(SRCDIR)\c3po\nameset.h\
	$(SRCDIR)\display.h\
	$(SRCDIR)\wcd.h\
	$(SRCDIR)\tailor.h\

display.obj: $(DISPLAY_C) $(SRCDIR)\display.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\display.c

# Build WCDSTACK.C
WCDSTACK_C=\
	$(SRCDIR)\c3po\std_macr.h\
	$(SRCDIR)\c3po\structur.h\
	$(SRCDIR)\c3po\Error.h\
	$(SRCDIR)\c3po\Text.h\
	$(SRCDIR)\c3po\WcdStack.h\

wcdstack.obj: $(WCDSTACK_C) $(SRCDIR)\c3po\wcdstack.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\c3po\wcdstack.c

# Build TEXT.C
TEXT_C=\
	$(SRCDIR)\c3po\std_macr.h\
	$(SRCDIR)\c3po\structur.h\
	$(SRCDIR)\c3po\Error.h\
	$(SRCDIR)\c3po\nameset.h\
	$(SRCDIR)\c3po\intset.h\

text.obj: $(TEXT_C) $(SRCDIR)\c3po\text.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\c3po\text.c

# Build NAMESET.C
NAMESET_C=\
	$(SRCDIR)\c3po\std_macr.h\
	$(SRCDIR)\c3po\structur.h\
	$(SRCDIR)\c3po\Error.h\
	$(SRCDIR)\c3po\Text.h\
	$(SRCDIR)\c3po\nameset.h\

nameset.obj: $(NAMESET_C) $(SRCDIR)\c3po\nameset.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\c3po\nameset.c

# Build INTSET.C
INTSET_C=\
	$(SRCDIR)\c3po\std_macr.h\
	$(SRCDIR)\c3po\structur.h\
	$(SRCDIR)\c3po\Error.h\
	$(SRCDIR)\c3po\intset.h\

intset.obj: $(INTSET_C) $(SRCDIR)\c3po\intset.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\c3po\intset.c

# Build ERROR.C
ERROR_C=\
	$(SRCDIR)\c3po\std_macr.h\
	$(SRCDIR)\c3po\structur.h\

error.obj: $(ERROR_C) $(SRCDIR)\c3po\error.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\c3po\error.c

# Build DIRNODE.C
DIRNODE_C=\
	$(SRCDIR)\c3po\std_macr.h\
	$(SRCDIR)\c3po\structur.h\
	$(SRCDIR)\c3po\Error.h\
	$(SRCDIR)\c3po\Text.h\
	$(SRCDIR)\c3po\dirnode.h\

dirnode.obj: $(DIRNODE_C) $(SRCDIR)\c3po\dirnode.c
	$(CC) -c $(CFLAGS) $(SRCDIR)\c3po\dirnode.c

link:
	$(LINKER)  -subsystem console -o $(SRCDIR)\lcc\wcdwin32.exe $(OBJS) $(LIBS)

=== debian/changelog ===
wcd (5.1.2-1) unstable; urgency=low

  * New upstream release
    - Update to packaging format "3.0 (quilt)".
  * debian/*.sh
    - Update path to /usr/bin.
  * debian/control
    - (Build-Depends): Update to debhelper 7.1.
    - (Standards-Version): Update to 3.8.4.
  * debian/debian-compile.mk
    - Delete unused file.
  * debian/NEWS
    - New file
  * debian/patches
    - (20): Fix curses.
  * debian/rules
    - Move to dh(1)
  * debian/source/format
     - New file.
  * debian/wcd.manpages
    - Delete unused file.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 25 May 2010 11:23:18 +0300

wcd (5.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 14 Jan 2010 20:11:46 +0200

wcd (5.1.0-2) unstable; urgency=low

  * Move to format: 3.0 (quilt).
  * debian/clean
    - Move content from debian/rules for dh(1).
  * debian/control
    - (Depends): add ${misc:Depends} for debhelper.
  * debian/debian-compile.mk
    - New file.
  * debian/rules
    - Remove rules obsoleted by dh(1).
    - (CFLAGS_EXTRA): New. Pass strict compiler flags.
  * debian/source/format
    - New file.
  * debian/ttyload.{clean,manpages}
    - Move content from debian/rules for dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 17 Dec 2009 19:00:48 +0200

wcd (5.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Build-Depends): Change to libncursesw5-dev (UTF-8).
    - (Standards-Version): update to 3.8.3.
  * debian/doc-base
    - New (lintian).
  * debian/rules
    - (build.stamp): enable Unicode support by adding UCS=1.
    - (install): Modify for new upstream version.
  * debian/patches
    - Remove. All accepted by upstream maintainer.
  * debian/wcd-include.sh
    - Add missing parenthesis (Closes: #551588).
    - Add quoting. Remove 'test' calls and use POSIX [].
    - Add -z option.
    - Detect Emacs M-x shell and turn on plain curses.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 02 Nov 2009 05:32:11 +0000

wcd (5.0.4-1) unstable; urgency=low

  * GENERAL INFORMATION
    - New maintainer (Closes: #540913).
    - Replace CDBS build system with debhelper.
  * New upstream release
    - Upgrade (Closes: #517321, #540986).
    - Make option -l accept second arg as ALIAS-NAME (Closes: #518280).
    - Reverse options -v -V (Closes: #518136).
  * debian/NEWS
    - Minor formatting adjustments.
    - (Changes compared to upstream): update to newest release.
  * debian/debian-vars.mk
    - New file for packaging variables.
  * debian/control
    - (Build-Depends): Add ghostscript (new upstream release).
    - (Homepage): move to top (Closes: #517378) and point to general
      project hub at Freshmeat (Closes: #517379).
    - (Standards-Version): update to 3.8.2.
    - (Vcs-*): New fields.
  * debian/dirs
    - Delete file, new upstream version uses different directories.
  * debian/patches
    - Add 10-manpage-hyphen.dpatch (Closes: #517334).
    - Add 20-manpage-pu.dpatch.
  * debian/rules
    - New file.
  * debian/watch
    - Change to Sourceforge.
  * debian/wcd-include.sh
    - Convert to pure /bin/sh (remove Bashism).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 13 Aug 2009 21:38:03 +0000

wcd (3.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Lucas Wall <lwall@debian.org>  Wed,  1 Mar 2006 23:49:03 -0300

wcd (3.1.4-1) unstable; urgency=low

  * New upstream release.
  * New maintainer. (closes: #297448)
  * Switched to cdbs.

 -- Lucas Wall <lwall@debian.org>  Tue,  1 Mar 2005 16:02:15 -0300

wcd (3.1.3-3) unstable; urgency=low

  * Fix path to shell scripts (closes:238616)
  * Remove debconf note which had closed 237005
  (closes:238592)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 17 Mar 2004 19:18:45 -0700

wcd (3.1.3-2) unstable; urgency=low

  * Add debconf note that "users must read README.Debian" to
  use this package (closes:237005)
  * Add bash and csh shell fragments that users can add to their
  startup scripts.
  * Rename wcd.exe to wcd_exe

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 14 Mar 2004 15:42:17 -0700

wcd (3.1.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  9 Mar 2004 07:19:46 -0700

wcd (3.1.0-1) unstable; urgency=low

  * New upstream
  * Build with gcc-3.2
  * Move changes wrt upstream from copyright to README.Debian

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 13 Jan 2003 20:11:53 -0700

wcd (3.0.7-3) unstable; urgency=low

  * Really fix versioning problem.

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 12 Nov 2002 11:31:11 -0700

wcd (3.0.7-2) unstable; urgency=low

  * Rebuild with new glibc, should now have correct pkg dependency versioning
  (closes: 168803)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 12 Nov 2002 10:17:31 -0700

wcd (3.0.7-1) unstable; urgency=low

  * New upstream release

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 28 Oct 2002 14:30:44 -0700

wcd (3.0.6-1) unstable; urgency=low

  * New upstream version.

  * Fix typo in short description.

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  8 Sep 2002 15:53:36 -0600

wcd (3.0.5-2) unstable; urgency=low

  * Update e-mail address.

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 11 Aug 2002 23:31:05 -0600

wcd (3.0.5-1) unstable; urgency=low

  * Initial release (closes: #154333)

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 26 Jul 2002 00:15:53 -0600

=== debian/control ===
Source: wcd
Section: utils
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7.1), libncursesw5-dev, ghostscript
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/wcd.git
Vcs-Git: git://git.debian.org/git/collab-maint/wcd.git
Homepage: http://freshmeat.net/projects/wcd

Package: wcd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: saves time typing when you want to change directories
 Wcd (Wherever Change Directory) is a program to quickly change directories.
 It saves time typing at the keyboard. One needs to type only a part of a
 directory name and wcd will jump to it. By default, wcd searches for a
 directory with a name that begins with what has been typed, but the use of
 wildcards is also fully supported.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = wcd
EXE	= .exec

#  Enable international support
#  Activate unicode UTF-8 support

MAKE_OPTIONS = 	EXT=$(EXE) \
		UCS=1 \
		NLS=1 \
		CPP_FLAGS_POD=-Dunix

include debian/debian-vars.mk

override_dh_auto_build:
	$(MAKE) -C src $(MAKE_OPTIONS) man pod txt ps pdf all

override_dh_auto_clean:
	$(MAKE) -C src $(MAKE_OPTIONS) clean

override_dh_auto_install:
	$(MAKE) -C src \
		DESTDIR=$(PKGDIR) \
		prefix=/usr \
		BINDIR=$(LIBDIR) \
		DOCDIR=$(PKGDOCDIR) \
		MANDIR1=$(MAN7DIR) \
		INSTALL_OBJS_DOC_INSTALL= \
		INSTALL_OBJS_DOC_COPYING= \
		$(MAKE_OPTIONS) \
		install

	# remove /usr/share/doc/wcd-VERSION
	# Not used in Debian

	rm -rf $(PKGDOCDIR)-*/

	install -d -m 755 $(SHAREDIR)
	install -m 644 \
		debian/wcd-include.csh \
		debian/wcd-include.sh \
		$(SHAREDIR)

man:
	# target: man -- Create manual page redirection file
	install -d -m 755 $(MAN1DIR)
	man=$(MAN1DIR)/$(PACKAGE)$(EXE).1 ; \
	echo ".so man1/wcd.1.gz" > $$man ; \
	gzip --best $$man

override_dh_installchangelogs:
	dh_installchangelogs doc/whatsnew.txt

override_dh_installman: man
	dh_installman

%:
	dh $@

.PHONY: man

# End of file

=== debian/watch ===
version=3
# old http://www.xs4all.nl/~waterlan/ wcd-([.\d]*)-src\.tar\.gz
http://sf.net/wcd/wcd-([.\d]*)-src\.tar\.gz

## wcd 5.1.4

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 OBJDIR	= src
 
 all:
-	$(MAKE) -C $(OBJDIR) CC="$(CC)"
+	$(MAKE) -C $(OBJDIR)
 
 clean:
 	$(MAKE) -C $(OBJDIR) clean
@@ -39,7 +39,7 @@
 realclean: maintainer-clean
 
 install:
-	$(MAKE) -C $(OBJDIR) install CC="$(CC)"
+	$(MAKE) -C $(OBJDIR) install
 
 uninstall:
 	$(MAKE) -C $(OBJDIR) uninstall

=== cygwin/Makefile ===

PREFIX = /usr
prefix = $(PREFIX)
LDFLAGS_EXTRA = -lmpr -Wl,--enable-auto-import

CFLAGS = -O3 -Wall
CURSES = ncurses
#CURSES = pdcurses
ENABLE_NLS = 1
DEFS   = -DUNIX

ifdef CURSES
LIB_CURSES = -l${CURSES}
DEFS   += -DWCD_USECURSES
endif

ifdef ENABLE_NLS
LDFLAGS_EXTRA += -lintl -liconv
endif

ifdef UCS
ifeq ($(CURSES),ncurses)
CURSES = ncursesw
endif
endif

PROGRAM = wcd.exe
VERSIONSUFFIX = -cygwin

all :
	${MAKE} -C ../src all PROGRAM=${PROGRAM} CFLAGS="${CFLAGS}" CURSES=${CURSES} LIB_CURSES=${LIB_CURSES} DEFS="${DEFS}" LDFLAGS_EXTRA="${LDFLAGS_EXTRA}" prefix=${prefix} ENABLE_NLS=${ENABLE_NLS}

install :
	${MAKE} -C ../src install PROGRAM=${PROGRAM} CFLAGS="${CFLAGS}" CURSES=${CURSES} LIB_CURSES=${LIB_CURSES} DEFS="${DEFS}" LDFLAGS_EXTRA="${LDFLAGS_EXTRA}" prefix=${prefix} INSTALL_OBJS_DOC_INSTALL="../doc/DOS.txt ../doc/INSTALL.txt" ENABLE_NLS=${ENABLE_NLS}

uninstall :
	${MAKE} -C ../src uninstall PROGRAM=${PROGRAM} prefix=${prefix} ENABLE_NLS=${ENABLE_NLS}


dist-zip :
	${MAKE} -C ../src dist-zip PROGRAM=${PROGRAM} prefix=${prefix} VERSIONSUFFIX=${VERSIONSUFFIX} ENABLE_NLS=${ENABLE_NLS}

dist-tgz :
	${MAKE} -C ../src dist-tgz PROGRAM=${PROGRAM} prefix=${prefix} VERSIONSUFFIX=${VERSIONSUFFIX} ENABLE_NLS=${ENABLE_NLS}

dist : dist-tgz

strip:
	${MAKE} -C ../src strip PROGRAM=${PROGRAM}

doc :
	${MAKE} -C ../src doc

mofiles :
	${MAKE} -C ../src mofiles

clean :
	${MAKE} -C ../src clean

=== msys/Makefile ===

PREFIX = /usr
prefix = $(PREFIX)
exec_prefix = $(prefix)
MKDIR  = mkdir
LDFLAGS_EXTRA = -lkernel32 -luser32 -lmpr

CFLAGS = -O3 -Wall -I.
CURSES = pdcurses
ENABLE_NLS = 1
DEFS   = -DUNIX -DWCD_MSYS

ifdef CURSES
LIB_CURSES = -l${CURSES}
DEFS   += -DWCD_USECURSES -DPDC_STATIC_BUILD
endif

ifdef ENABLE_NLS
LDFLAGS_EXTRA += -lintl -liconv
EXTRA_OBJ += langinfo.o
endif

ifdef WCD_UTF8
# WCD_UTF8 was used in older versions.
UCS=1
endif

ifdef UCS
ifdef CURSES
DEFS   += -DPDC_WIDE
endif
EXTRA_OBJ += wcwidth.o
endif

bindir    = ${exec_prefix}/bin
PROGRAM = wcdmsys.exe
VERSIONSUFFIX = -msys

all :
	${MAKE} -C ../src all PROGRAM=${PROGRAM} CFLAGS="${CFLAGS}" CURSES=${CURSES} LIB_CURSES=${LIB_CURSES} DEFS="${DEFS}" LDFLAGS_EXTRA="${LDFLAGS_EXTRA}" prefix=${prefix} EXTRA_OBJ="${EXTRA_OBJ}" ENABLE_NLS=${ENABLE_NLS}

install :
	${MAKE} -C ../src install PROGRAM=${PROGRAM} CFLAGS="${CFLAGS}" CURSES=${CURSES} LIB_CURSES=${LIB_CURSES} DEFS="${DEFS}" LDFLAGS_EXTRA="${LDFLAGS_EXTRA}" prefix=${prefix} MKDIR=${MKDIR} EXTRA_OBJ="${EXTRA_OBJ}" INSTALL_OBJS_DOC_INSTALL="../doc/DOS.txt ../doc/INSTALL.txt" ENABLE_NLS=${ENABLE_NLS}

uninstall :
	${MAKE} -C ../src uninstall PROGRAM=${PROGRAM} prefix=${prefix} ENABLE_NLS=${ENABLE_NLS}


dist-zip :
	${MAKE} -C ../src dist-zip PROGRAM=${PROGRAM} prefix=${prefix} VERSIONSUFFIX=${VERSIONSUFFIX} ENABLE_NLS=${ENABLE_NLS}

dist-tgz :
	${MAKE} -C ../src dist-tgz PROGRAM=${PROGRAM} prefix=${prefix} VERSIONSUFFIX=${VERSIONSUFFIX} ENABLE_NLS=${ENABLE_NLS}

dist : dist-tgz

strip:
	${MAKE} -C ../src strip PROGRAM=${PROGRAM}

clean :
	${MAKE} -C ../src clean

=== src/Makefile ===
--- 
+++ 
@@ -48,6 +48,7 @@
 
 CC		= gcc
 STATIC		=
+STRIP		= strip
 
 ENABLE_NLS = 1
 
@@ -96,10 +97,6 @@
 # Documents for end users, not for developers:
 INSTALL_OBJS_DOC   = \
   ../doc/faq.txt \
-  ../doc/$(PACKAGE).txt \
-  ../doc/$(PACKAGE).ps \
-  ../doc/$(PACKAGE).pdf \
-  ../doc/$(PACKAGE).htm \
   ../doc/whatsnew.txt \
   ../doc/README.txt \
   ../doc/problems.txt \
@@ -112,10 +109,11 @@
 POFILES		= $(wildcard po/*.po)
 MOFILES		= $(patsubst %.po,%.mo,$(POFILES))
 endif
-DOCFILES	= ../doc/$(PACKAGE).txt ../doc/$(PACKAGE).ps ../doc/$(PACKAGE).pdf ../doc/$(PACKAGE).htm
+DOCFILES	= ../doc/$(PACKAGE).txt ../doc/$(PACKAGE).htm ../doc/$(PACKAGE).ps ../doc/$(PACKAGE).pdf
 
 CPP		= cpp
 CPP_FLAGS_POD	= ALL
+CFLAGS_VERSION	= -DVERSION=\"$(VERSION)\" -DVERSION_DATE=\"$(VERSION_DATE)\"
 
 VERSIONSUFFIX	= -bin
 
@@ -158,10 +156,11 @@
 # ........................................................... curses ...
 
 # possible values: ncurses, curses, pdcurses or <empty>
-CURSES = ncurses
 
 ifdef UCS
 	CURSES  = ncursesw
+else
+	CURSES = ncurses
 endif
 
 ifneq (,$(CURSES))
@@ -218,7 +217,9 @@
 endif
 
 ifeq (cygwin,$(OS))
+ifdef ENABLE_NLS
 	LDFLAGS_EXTRA = -lintl -liconv -lmpr -Wl,--enable-auto-import
+endif
 endif
 
 
@@ -230,9 +231,11 @@
 
 ifeq (freebsd,$(OS))
 	# Running under FreeBSD
+ifdef ENABLE_NLS
 	CFLAGS_OS     = -I/usr/local/include
 	LDFLAGS_EXTRA = -lintl -L/usr/local/lib
 endif
+endif
 
 ifeq (Darwin, $(shell uname -s))
 	OS = Darwin
@@ -241,6 +244,7 @@
 	LDFLAGS_EXTRA = -lintl -L/usr/local/lib
 endif
 endif
+
 
 ifndef OS
 ifneq (, $(wildcard /opt/csw))
@@ -282,6 +286,7 @@
 CFLAGS	= -O2 -Wall
 
 EXTRA_CFLAGS	= -Ic3po \
+		  $(CFLAGS_VERSION) \
 		  $(CFLAGS_OS) \
 		  $(CFLAGS_UCS) \
 		  $(WDEFS) \
@@ -291,6 +296,10 @@
 
 ifdef STATIC
 	EXTRA_CFLAGS += -static
+endif
+
+ifdef ASCII_TREE
+	EXTRA_CFLAGS += -DASCII_TREE
 endif
 
 LDFLAGS		= $(LIB_CURSES) \
@@ -337,6 +346,7 @@
 	@echo "DEFS          = $(DEFS)"
 	@echo "DEFS_CURSES   = $(DEFS_CURSES)"
 	@echo "EXTRA_DEFS    = $(EXTRA_DEFS)"
+	@echo "LDFLAGS       = $(LDFLAGS)"
 	@echo "LDFLAGS_EXTRA = $(LDFLAGS_EXTRA)"
 	@echo "CFLAGS        = $(CFLAGS)"
 	@echo "CFLAGS_OS     = $(CFLAGS_OS)"
@@ -358,6 +368,8 @@
 
 %.po : $(POT)
 	msgmerge -U $@ $(POT) --backup=numbered
+	# change timestamp in case .po file was not updated.
+	touch $@
 
 %.mo : %.po
 	msgfmt -c $< -o $@
@@ -405,7 +417,7 @@
 
 mofiles: $(MOFILES)
 
-docfiles: $(DOCFILES)
+doc: $(DOCFILES)
 
 tags: $(POT)
 
@@ -425,14 +437,17 @@
 
 strip:
 	@echo "-- target: strip"
-	strip $(BIN)
+	$(STRIP) $(BIN)
 
 clean:
 	@echo "-- target: clean"
 	-rm -f \
 		$(BIN) \
+		*.exe \
 		*.o \
+		*.tmp \
 		*/*.o \
+		po/*.mo \
 		../*/*.bck \
 		../*/*.bak \
 		../*/*[#~] \
@@ -450,10 +465,8 @@
 	@echo "-- target: maintainer-clean:"
 	rm -f \
 	  man/man1/wcd1.pod \
-	  po/*.mo \
 	  man/man1/wcd.1 \
-	  $(DOCFILES) \
-	  $(MOFILES)
+	  $(DOCFILES)
 
 # 'maintainer-clean' was 'realclean' in old GNU standards.
 realclean: maintainer-clean
@@ -467,7 +480,27 @@
 	$(foreach mofile, $(MOFILES), $(MKDIR) -p -m 755 $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES ;)
 	$(foreach mofile, $(MOFILES), $(INSTALL) -m 644 $(mofile) $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(PACKAGE).mo ;)
 
-install-doc: $(DOCFILES)
+install-txt: ../doc/$(PACKAGE).txt
+	@echo "-- target: install-txt"
+	$(MKDIR) -p -m 755 $(DESTDIR)$(docdir)
+	$(INSTALL_DATA) $< $(DESTDIR)$(docdir)
+
+install-html: ../doc/$(PACKAGE).htm
+	@echo "-- target: install-html"
+	$(MKDIR) -p -m 755 $(DESTDIR)$(docdir)
+	$(INSTALL_DATA) $< $(DESTDIR)$(docdir)
+
+install-pdf: ../doc/$(PACKAGE).pdf
+	@echo "-- target: install-pdf"
+	$(MKDIR) -p -m 755 $(DESTDIR)$(docdir)
+	$(INSTALL_DATA) $< $(DESTDIR)$(docdir)
+
+install-ps: ../doc/$(PACKAGE).ps
+	@echo "-- target: install-ps"
+	$(MKDIR) -p -m 755 $(DESTDIR)$(docdir)
+	$(INSTALL_DATA) $< $(DESTDIR)$(docdir)
+
+install-doc: install-txt install-html install-ps install-pdf
 	@echo "-- target: install-doc"
 	$(MKDIR) -p -m 755 $(DESTDIR)$(docdir)
 	$(INSTALL_DATA) $(INSTALL_OBJS_DOC) $(DESTDIR)$(docdir)

=== win32psh/Makefile ===
--- 
+++ 
@@ -28,6 +28,7 @@
 ifdef UCS
 ifdef CURSES
 DEFS   += -DPDC_WIDE
+CURSES = pdcursesw
 endif
 EXTRA_OBJ += wcwidth.o
 endif

=== win64/Makefile ===

PREFIX = c:/usr/local
prefix = $(PREFIX)
exec_prefix = $(prefix)
MKDIR  = mkdir
LDFLAGS_EXTRA = -lkernel32 -luser32 -lmpr

CC = x86_64-w64-mingw32-gcc
STRIP = x86_64-w64-mingw32-strip
CFLAGS = -O3 -Wall
CURSES = pdcurses
ENABLE_NLS =
DEFS   = -DMSDOS

ifdef CURSES
LIB_CURSES = -l${CURSES}
DEFS   += -DWCD_USECURSES -DPDC_STATIC_BUILD
endif

ifdef ENABLE_NLS
LDFLAGS_EXTRA += -lintl -liconv
EXTRA_OBJ += langinfo.o
endif

ifdef WCD_UTF8
# WCD_UTF8 was used in older versions.
UCS=1
endif

ifdef UCS
ifdef CURSES
DEFS   += -DPDC_WIDE
endif
EXTRA_OBJ += wcwidth.o
endif

bindir    = ${exec_prefix}/bin
PROGRAM = wcdwin64.exe
VERSIONSUFFIX = -win64
ZIPOBJ_EXTRA = bin/wcd.bat
# Using MinGW gettext,iconv
#ZIPOBJ_EXTRA += bin/libintl-8.dll bin/libiconv-2.dll

all :
	${MAKE} -C ../src all PROGRAM=${PROGRAM} CFLAGS="${CFLAGS}" CURSES=${CURSES} LIB_CURSES=${LIB_CURSES} DEFS="${DEFS}" LDFLAGS_EXTRA="${LDFLAGS_EXTRA}" prefix=${prefix} EXTRA_OBJ="${EXTRA_OBJ}" ENABLE_NLS=${ENABLE_NLS} CC=$(CC)

install :
	${MAKE} -C ../src install PROGRAM=${PROGRAM} CFLAGS="${CFLAGS}" CURSES=${CURSES} LIB_CURSES=${LIB_CURSES} DEFS="${DEFS}" LDFLAGS_EXTRA="${LDFLAGS_EXTRA}" prefix=${prefix} MKDIR=${MKDIR} EXTRA_OBJ="${EXTRA_OBJ}" INSTALL_OBJS_DOC_INSTALL="../doc/DOS.txt ../doc/INSTALL.txt" ENABLE_NLS=${ENABLE_NLS} CC=$(CC)
	install -m 755 wcd.bat $(DESTDIR)${bindir}/wcd.bat

uninstall :
	${MAKE} -C ../src uninstall PROGRAM=${PROGRAM} prefix=${prefix} ENABLE_NLS=${ENABLE_NLS}
	-rm -f $(DESTDIR)${bindir}/wcd.bat


dist :
	${MAKE} -C ../src dist-zip ZIPOBJ_EXTRA="${ZIPOBJ_EXTRA}" PROGRAM=${PROGRAM} prefix=${prefix} VERSIONSUFFIX=${VERSIONSUFFIX} ENABLE_NLS=${ENABLE_NLS}

strip:
	${MAKE} -C ../src strip PROGRAM=${PROGRAM} STRIP=$(STRIP)

clean :
	${MAKE} -C ../src clean

=== debian/changelog ===
wcd (5.1.4-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - (override_dh_auto_build): Do not build duplicate copies of
      manual pages in format: txt pdf ps.
    - (override_dh_installman): Remove copies of manual pages.
  * debian/watch
    - Prefer direct upstream URL (faster response).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 21 Nov 2010 23:31:26 +0200

wcd (5.1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/compat
    - Update to 8.
  * debian/NEWS.Debian
    - Adjust indentation.
  * debian/control
    - (Build-Depends): Update to debhelper 8.
    - (Standards-Version): Update to 3.9.1.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 13 Nov 2010 01:25:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 7.1), libncursesw5-dev, ghostscript
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8), libncursesw5-dev, ghostscript
+Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/wcd.git
 Vcs-Git: git://git.debian.org/git/collab-maint/wcd.git
 Homepage: http://freshmeat.net/projects/wcd

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 include debian/debian-vars.mk
 
 override_dh_auto_build:
-	$(MAKE) -C src $(MAKE_OPTIONS) man pod txt ps pdf all
+	$(MAKE) -C src $(MAKE_OPTIONS) man pod all
 
 override_dh_auto_clean:
 	$(MAKE) -C src $(MAKE_OPTIONS) clean
@@ -43,8 +43,9 @@
 		$(SHAREDIR)
 
 man:
-	# target: man -- Create manual page redirection file
+	# target: man
 	install -d -m 755 $(MAN1DIR)
+	# target: man - Create manual page redirection file
 	man=$(MAN1DIR)/$(PACKAGE)$(EXE).1 ; \
 	echo ".so man1/wcd.1.gz" > $$man ; \
 	gzip --best $$man
@@ -54,6 +55,10 @@
 
 override_dh_installman: man
 	dh_installman
+	# Remove copies of manual page
+	rm $(PKGDOCDIR)/wcd.pdf*
+	rm $(PKGDOCDIR)/wcd.txt*
+
 
 %:
 	dh $@
